<template>
    <div>
        <Fieldset :title="props.title">

            <FormInput v-model="event.month"
                        :ref="addFormInputRef"                          
                        :label="t('event.month')"
                        name="date"
                        type="date"
                        @validated="handleValidation"/>
            <FormInput v-model="event.description"
                            :ref="addFormInputRef"
                            name="description-fr"
                            :label="t('event.description')"
                            type="text"
                            @validated="handleValidation" />

        </Fieldset>

    </div>
</template>

<script lang="ts" setup>
import { ref, computed, watch } from "vue";
import { Status } from "@/validation";
import { required, min } from "@/validation/rules";
import { useI18n } from "vue3-i18n";
import FormInput from "@/components/forms/FormInput.vue";
import FormSelect from "@/components/forms/FormSelect.vue";
import Fieldset from "@/components/forms/Fieldset.vue";
import FormRow from "@/components/forms/FormRow.vue";
import { Event } from "@/types/entities/event";
import FormTextEditor from "@/components/forms/FormTextEditor.vue";

    const { t } = useI18n();

// eslint-disable-next-line no-undef
    const props = defineProps<{
        event: Event,
        title: string
        descriptionFrLabel?: string
    }>()
    const event = ref<Event>(props.event)

// eslint-disable-next-line
    const emit = defineEmits<{
        (event: "handleValidation", name: string, validationStatus: Status): void
        (event: "registerFormInputRef", ref: typeof FormInput): void
    }>()

    const regle = ref<Event>(props.event)

    function addFormInputRef(ref: typeof FormInput) {
        emit("registerFormInputRef", ref);
    }


    async function handleValidation(name: string, validationStatus: Status) {
        emit("handleValidation", name, validationStatus);
    }
</script>
